using CarCenterContracts.BindingModels;
using CarCenterContracts.SearchModels;
using CarCenterContracts.ViewModels;

namespace CarCenterContracts.BusinessLogicsContracts
{
    public interface IManagerLogic
    {
        List<ManagerViewModel>? ReadList(ManagerSearchModel? model);
        ManagerViewModel? ReadElement(ManagerSearchModel model);
        bool Create(ManagerBindingModel model);
        bool Update(ManagerBindingModel model);
        bool Delete(ManagerBindingModel model);
    }
}
